<?php include('casa/setup.casa.php');
	$codigo = substr(sha1(uniqid()),1,7);	
	$cmbUbicaciones = DataForms::POST('cmbUbicaciones');
	$txtItem = DataForms::POST('txtItem');
	$txtProducto = DataForms::POST('txtProducto');
	$txtPiezasCaja = DataForms::POST('txtPiezasCaja');
	$txtCantidadCaja = DataForms::POST('txtCantidadCaja');
	$txtPrecioUnitario = DataForms::POST('txtPrecioUnitario');
	$txtPrecioDocena = DataForms::POST('txtPrecioDocena');
	$txtPrecioCajaDocena = DataForms::POST('txtPrecioCajaDocena');

	$NombreFoto = $_FILES['txtFoto']['name'];
	$temp = $_FILES['txtFoto']['tmp_name'];
	
	if(trim($cmbUbicaciones)==''){	
		echo '<script>alert("Debe seleccionar una ubicación para el producto!!!");history.back();</script>';
		exit();
	} 
	if(trim($txtItem)==''){	
		echo '<script>alert("Debe ingresar un Número de Item para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtProducto)==''){	
		echo '<script>alert("Debe ingresar un nombre para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtPiezasCaja)==''){	
		echo '<script>alert("Debe ingresar cantidad piezas por caja para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtCantidadCaja)==''){	
		echo '<script>alert("ingresar la cantidad de cajas para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtPrecioUnitario)==''){	
		echo '<script>alert("Debe ingresar el precio unitario para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtPrecioDocena)==''){	
		echo '<script>alert("Debe ingresar el precio por docena para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($txtPrecioCajaDocena)==''){	
		echo '<script>alert("Debe ingresar el precio por caja docena para el producto!!!");history.back();</script>';		
		exit();
	} 
	if(trim($NombreFoto)==''){				
		echo '<script>alert("Debe seleccionar una foto para el producto!!!");history.back();</script>';
		exit();
	}
		$folder = 'fotos/';
		$FotoNew = $codigo;
		move_uploaded_file($temp, $folder.$FotoNew);	
		//redimensionar foto tamaño
		$thumb  = new Thumb();
		$thumb->loadImage($folder.$FotoNew); 					
		$thumb->resize(900,"width");  
      $thumb->save($folder.$FotoNew, 100);
      $thumb->resize(320,"width");  
		$thumb->save($folder.'small_'.$FotoNew, 100);
		//cantidad real de unidades en inventario por producto
		$unidades_real = $txtCantidadCaja*$txtPiezasCaja;
$sql = Caresp("INSERT INTO inventarios_productos(
	ubica_codigo,prod_item,prod_codigo,
	prod_nombre,prod_foto,prod_piezascaja,
	prod_cantidadcajas,prod_cantidadcajasmemo,prod_unidadesreal,prod_preciounitario,
	prod_preciodocena,prod_preciocajadocena
)VALUES(
	'$cmbUbicaciones','$txtItem','$codigo',
	'$txtProducto','$FotoNew','$txtPiezasCaja',
	'$txtCantidadCaja','$txtCantidadCaja','$unidades_real','$txtPrecioUnitario',
	'$txtPrecioDocena','$txtPrecioCajaDocena'
);");

$db = new DB();
$db->dbSQL($sql);
echo '<script>self.location="'.PATH_HOME.'productos/";</script>';
?>